package banco;

import java.util.ArrayList;
import java.util.List;

public class Conta {
	private int numero;
	private double saldo = 0; 
	private List<transacao> transacoes = new ArrayList<transacao>();
	private List<aplicacao> aplicacoes = new ArrayList<aplicacao>();
	
	public Conta(int n) {
		numero = n;
		saldo = 0;
	}
	
	public Conta(int n, double s) {
		numero = n;
		saldo = s;
	}
	
	public int getNumeroConta() { 
		return numero;
	}
	
	public double getSaldo() { 
		return saldo;
	}
	
	public void novaTransação(int data, String desc, double valor) { 
		transacoes.add(new transacao(data, desc, valor));
		saldo = saldo + valor;
	}
	
	public transacao[] getTransacoes() { 
		transacao[] tr = new transacao[transacoes.size()];
		for (int x=0;x < transacoes.size(); x++) { 
			tr[x] = transacoes.get(x);
		}
		return tr;
	}
	
	public void novaAplicação(aplicacao a) {
		saldo = saldo - a.value();
		aplicacoes.add(a);
	}
}
 